summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authornarindergupta <narinder.gupta@canonical.com>2016-08-22 15:01:20 -0400
committernarindergupta <narinder.gupta@canonical.com>2016-08-22 15:04:51 -0400
commite6f1836f6e7d344b69bacd4a57fec354b51a7888 (patch)
tree793052806d67420caef87bbefb71440466bb5382
parent318c3e5aa6c0c78fca0fdeaf2533f14ffb9adc99 (diff)
modfied to cleanup copying of yaml files from .juju/
Change-Id: I1c44815b9b4217033034faf4a2880f5737f81fad Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
-rwxr-xr-xci/02-deploybundle.sh8
-rwxr-xr-xci/deploy.sh6
-rwxr-xr-xci/openstack.sh14
3 files changed, 17 insertions, 11 deletions
diff --git a/ci/02-deploybundle.sh b/ci/02-deploybundle.sh
index 8a0502d9..9242ebba 100755
--- a/ci/02-deploybundle.sh
+++ b/ci/02-deploybundle.sh
@@ -42,11 +42,9 @@ check_status() {
}
#read the value from deployment.yaml
-if [ -e ~/.juju/deployment.yaml ]; then
- cp ~/.juju/deployment.yaml ./deployment.yaml
- if [ -e ~/.juju/deployconfig.yaml ]; then
- cp ~/.juju/deployconfig.yaml ./deployconfig.yaml
- cp ~/.juju/labconfig.yaml ./labconfig.yaml
+
+if [ -e ./deployment.yaml ]; then
+ if [ -e ./deployconfig.yaml ]; then
extport=`grep "ext-port" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //' | tr ',' ' '`
datanet=`grep "dataNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
admnet=`grep "admNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 1dab85d8..8692df68 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -110,6 +110,12 @@ deploy() {
if [ ! -f ./environments.yaml ] && [ -e ~/.juju/environments.yaml ]; then
cp ~/.juju/environments.yaml ./environments.yaml
fi
+ if [ ! -f ./labconfig.yaml ] && [ -e ~/.juju/labconfig.yaml ]; then
+ cp ~/.juju/labconfig.yaml ./labconfig.yaml
+ fi
+ if [ ! -f ./deployconfig.yaml ] && [ -e ~/.juju/deployconfig.yaml ]; then
+ cp ~/.juju/deployconfig.yaml ./deployconfig.yaml
+ fi
#copy the script which needs to get deployed as part of ofnfv release
echo "...... deploying now ......"
diff --git a/ci/openstack.sh b/ci/openstack.sh
index 08f1548e..a76785bf 100755
--- a/ci/openstack.sh
+++ b/ci/openstack.sh
@@ -128,12 +128,14 @@ create_openrc
echo "...... deploy public api proxy ......"
if [ "$opnfvlab" == "orangepod1" ] && [ "$opnfvsdn" == "nosdn" ]; then # only for first test phase
- PUB_API_NET=$(grep floating-ip-range ./labconfig.yaml |cut -d/ -f2)
- PUB_API_IP=$(grep public-api-ip ./labconfig.yaml |cut -d: -f2)
- juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
- juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
- python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
- juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
+ if [ -e ./labconfig.yaml ]; then
+ PUB_API_NET=$(grep floating-ip-range ./labconfig.yaml |cut -d/ -f2)
+ PUB_API_IP=$(grep public-api-ip ./labconfig.yaml |cut -d: -f2)
+ juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
+ juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
+ python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
+ juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
+ fi
fi
echo "...... deploy end public api proxy ......"